# The Yar_Client_Exception class

(No version information available, might only be in Git)

## Introduction

## Class synopsis

Yar_Client_Exception extends Exception {
/* Properties */
/* Methods */
public getType ( void ) : string
/* Inherited methods */
final public Exception::getMessage ( void ) : string
final public Exception::getPrevious ( void ) : Throwable
final public Exception::getCode ( void ) : mixed
final public Exception::getFile ( void ) : string
final public Exception::getLine ( void ) : int
final public Exception::getTrace ( void ) : array
final public Exception::getTraceAsString ( void ) : string
public Exception::__toString ( void ) : string
final private Exception::__clone ( void ) : void
}

## Properties

message

code

file

line

## Table of Contents

- Yar_Client_Exception::getType — Retrieve exception's type